module Backend
  module Mailers
    class TeacherRegistrationMailer < Quartz::Composer
      def sender : Quartz::Message::Address
        address email: EMAIL, name: NAME
      end

      def initialize(user : Db::User)
        to name: user.name, email: user.email
        subject "Mentorenwahl Lehrer Registrierung"
        text Kilt.render("#{__DIR__}/templates/teacher_registration_mailer.txt.ecr")
      end
    end
  end
end
