require "secrets-env"
require "senf"
require "micrate"
require "pg"

SAFE_ENV = Senf::SafeEnv.new([
  "BACKEND_DATABASE_URL",
])

Micrate::DB.connection_url = SAFE_ENV["BACKEND_DATABASE_URL"]?
Micrate::Cli.run
